%define name gnupg
%define version 1.0.6
%define release 3.1mdk

Name:		%{name}
Summary:	GNU privacy guard - a free PGP replacement.
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		File tools
URL:		http://www.gnupg.org
Source:		ftp://ftp.gnupg.org/pub/gcrypt/gnupg/%{name}-%{version}.tar.gz
Source1:	ftp://ftp.gnupg.org/pub/gcrypt/gnupg/%{name}-%{version}.tar.gz.sig
Patch0:		%{name}-1.0.2-locale.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Packager:	Vincent Danen <vdanen@mandrakesoft.com>

%description
GnuPG is GNU's tool for secure communication and data storage.
It can be used to encrypt data and to create digital signatures.
It includes an advanced key management facility and is compliant
with the proposed OpenPGP Internet standard as described in RFC2440.

%prep
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%setup -q
%patch0 -p1 -b .locale

%build
%configure --with-included-gettext
make

%install
%makeinstall

sed -e "s#../g10/gpg#gpg#" < tools/lspgpot > %{buildroot}%{_bindir}/lspgpot

chmod 755 %{buildroot}%{_bindir}/lspgpot

# (fc) 1.0.4-5mdk gpg is setuid
chmod +s  %{buildroot}%{_bindir}/gpg

#strip --strip-unneeded $RPM_BUILD_ROOT/usr/lib/gnupg/*

perl -pi -e 's|/usr/local|/usr/|' %{buildroot}%{_mandir}/man1/gpg.1

# I don't know why this bastard install docs in here --Geoff
rm -f $RPM_BUILD_ROOT%{_datadir}/gnupg/{FAQ,faq.html}
cp -aRf doc doc.geoff
rm -f doc.geoff/Makefile*
rm -f doc.geoff/{gpg,gpgv}.1

%{find_lang} %{name}

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%post
GPG_HOME=/root/.gnupg
mkdir -p $GPG_HOME

[ -f $GPG_HOME/options ] || touch $GPG_HOME/options

gpg --homedir $GPG_HOME --import - <<EOF
-----BEGIN PGP PUBLIC KEY BLOCK-----
Version: GnuPG v1.0.4 (GNU/Linux)
Comment: For info see http://www.gnupg.org

mQGiBDh03fsRBACkOZdNfRB2qEkWARZXatM1Aue3kJUTly9FKJgEZR8Y7z4gOCtk
bvIqjxamCF86kNv8+sOgiydRCe/j83p84SNIHKCnvp1P/1jW//hSzb3czA57JJAj
oXhV9IV5+KOvSPwqz2LT7Qs3cgAcDtuhtZ9otXwt2rrN/XmDN4CyFP8fVwCg+Hyf
MpkTofvFCgBnL6GJqt49U0kD/A938KF8zmfP4M6JOqnlQGhoJlWIe0IRBQDO+vA/
6UXOKtYMKA/eXA38JNJ4AbXHV7vbtRfUCevHBK6M/efmzrd3oLO4l7v8LZx3uFgh
71jubLtow5eE3ZQ2ce+5GOauEzcJqB5Z3H2Q3npaX+3yhhMljteDzrNVG2MsXrTk
6uLaA/4jK9wPnj/LtF+M3FXsoVE7YXu6kZhDVOfjw8quo3qaFLbRlCQ3RmvHVnHE
zmkGitCTnGx7Kz0uqFrvfOpqqcfR04LE/m7c5oq/E8PBrOSNUpLJFQ0n44MOaa44
+1jT9A3ZjY1yO+RlzL8xr3cJwUd6UjHme6PRbNcI6xML/EPMGrRFTWFuZHJha2VT
b2Z0IChNYW5kcmFrZVNvZnQgb2ZmaWNpYWwga2V5cykgPG1hbmRyYWtlQG1hbmRy
YWtlc29mdC5jb20+iFYEExECABYFAjh03fsECwoEAwMVAwIDFgIBAheAAAoJEFnn
De6bSkAklAoAoLrW/aOnPfBBA9J/ePx6O1rHH/YoAJ9zRGJoVaRGLTrCdLkBBj3n
VCosbrkBDQQ4dN4fEAQAuGHOiYW6Hg+GGXEnM5Y7CxxzzPUEqht8uc+kt+am3z6T
eUik2xohgl4PiBuAyC2R7VzgnxhQtIARsv8Xb5BGlX6lEx6NcLGng/42zvDZJL8V
pZujWrQCxiPiAdl0ZT7nd6UlqrR5ikTIxgLZqt4gOkw6j8Xi4ymdCIBG6hd3HUMA
AwYD/RxS9DsGEZ3CZaRQuEgyCzEzyenDma6ndS98opnd5oHSBqx+5BEkR8QlXcRC
l8TdT+BNFEMpLWMF7SDtlb//FOU/Tm2TYbExAyScXmRrqumMLbNoRhj72br5YnMB
69AELHtObmmnGg59Y4QUn0Rr2RJUERZYSUUBOslwe5swOLc+iEYEGBECAAYFAjh0
3h8ACgkQWecN7ptKQCSm9ACglxsaBmqcROFuOTjI2c6B6Bb140kAn2i/AMpVUxU1
eEeFzCiBeVqQj23R
=sRWv
-----END PGP PUBLIC KEY BLOCK-----
-----BEGIN PGP PUBLIC KEY BLOCK-----
Version: GnuPG v1.0.4 (GNU/Linux)
Comment: For info see http://www.gnupg.org

mQGiBDlp594RBAC2tDozI3ZgQsE7XwxurJCJrX0L5vx7SDByR5GHDdWekGhdiday
L4nfUax+SeR9SCoCgTgPW1xB8vtQc8/sinJlMjp9197a2iKM0FOcPlkpa3HcOdt7
WKJqQhlMrHvRcsivzcgqjH44GBBJIT6sygUF8k0lU6YnMHj5MPc/NGWt8wCg9vKo
P0l5QVAFSsHtqcU9W8cc7wMEAJzQsAlnvPXDBfBLEH6u7ptWFdp0GvbSuG2wRaPl
hynHvRiE01ZvwbJZXsPsKm1z7uVoW+NknKLunWKB5axrNXDHxCYJBzY3jTeFjsqx
PFZkIEAQphLTkeXXelAjQ5u9tEshPswEtMvJvUgNiAfbzHfPYmq8D6x5xOw1IySg
2e/LBACxr2UJYCCB2BZ3p508mAB0RpuLGukq+7UWiOizy+kSskIBg2O7sQkVY/Cs
iyGEo4XvXqZFMY39RBdfm2GY+WB/5NFiTOYJRKjfprP6K1YbtsmctsX8dG+foKsD
LLFs7OuVfaydLQYp1iiN6D+LJDSMPM8/LCWzZsgr9EKJ8NXiyrQ6TGludXggTWFu
ZHJha2UgU2VjdXJpdHkgVGVhbSA8c2VjdXJpdHlAbGludXgtbWFuZHJha2UuY29t
PohWBBMRAgAWBQI5aefeBAsKBAMDFQMCAxYCAQIXgAAKCRCaqNDQIkWKmK6LAKCy
/NInDsaMSI+WHwrquwC5PZrcnQCeI+v3gUDsNfQfiKBvQSANu1hdulqIRgQQEQIA
BgUCOtNVGQAKCRBZ5w3um0pAJJWQAKDUoL5He+mKbfrMaTuyU5lmRyJ0fwCgoFAP
WdvQlu/kFjphF740XeOwtOqIRgQQEQIABgUCOu8A6QAKCRBynDnb9lq3CnpjAJ4w
Pk0SEE9U4r40IxWpwLU+wrWVugCdFfSPllPpZRCiaC7HwbFcfExRmPa5AQ0EOWnn
7xAEAOQlTVY4TiNo5V/iP0J1xnqjqlqZsU7yEBKo/gZz6/+hx75RURe1ebiJ9F77
9FQbpJ9Epz1KLSXvq974rnVb813zuGdmgFyk+ryA/rTR2RQ8h+EoNkwmATzRxBXV
Jb57fFQjxOu4eNjZAtfII/YXb0uyXXrdr5dlJ/3eXrcO4p0XAAMFBACCxo6Z269s
+A4v8C6Ui12aarOQcCDlV8cVG9LkyatU3FNTlnasqwo6EkaP572448weJWwN6SCX
Vl+xOYLiK0hL/6Jb/O9Agw75yUVdk+RMM2I4fNEi+y4hmfMh2siBv8yEkEvZjTcl
3TpkTfzYky85tu433wmKaLFOv0WjBFSikohGBBgRAgAGBQI5aefvAAoJEJqo0NAi
RYqYid0AoJgeWzXrEdIClBOSW5Q6FzqJJyaqAKC0Y9YI3UFlE4zSIGjcFlLJEJGX
lA==
=0ahQ
-----END PGP PUBLIC KEY BLOCK-----
EOF || :

%files -f %{name}.lang
%defattr(-,root,root)
%doc README NEWS THANKS TODO doc.geoff/* ChangeLog doc/DETAILS doc/FAQ
%attr(4755,root,root) %{_bindir}/gpg
%{_bindir}/gpgv
%{_bindir}/lspgpot
%{_libdir}/gnupg/
%{_datadir}/gnupg/
%{_mandir}/man1/*

%changelog
* Tue Oct 30 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.6-3.1mdk
- security update for 8.1 (strip sgid bit from gpg)

* Fri Jul 13 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.6-3mdk
- s/Copyright/License/
- minor spec cleaning
- use pristine source (tar.gz) and include signature file for sourc
  (security policy)

* Wed May 30 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.6-2mdk
- fix description, remove reference to patents

* Wed May 30 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.6-1mdk
- 1.0.6

* Tue May  1 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.5-1.1mdk
- security update for 7.2/8.0

* Tue May  1 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.5-1mdk
- 1.0.5

* Tue Apr 10 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.4-6mdk
- include new public key signed by mandrake@mandrakesoft.com and
  security@turbolinux.com

* Mon Apr  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-5mdk
- ship gnupg as setuid (blessed by maintainer and security team)

* Fri Jan 19 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.4-4mdk
- remove FAQ and faq.html from /usr/share/gnupg.

* Wed Dec 20 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.0.4-3mdk
- security fix, official patch applied
- add the --allow-secret-key-import patch from CVS
- remove the strlen patch, as it is included in the official security patch
- specfile cleanups

* Tue Nov 22 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.4-2mdk
- Red Hat merge aka shamelessly rip patches.

* Wed Oct 18 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.4-1mdk
- build a new and sane version (aka big big bugz fix).

* Thu Oct 12 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.3-1mdk
- 1.2.3
- puts Url: and full Source: path

* Tue Oct  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-4mdk
- touch /root/.gnupg/options in %%post to avoid errors.

* Fri Sep 29 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-3mdk
- create ~/.gnupg in %%post to avoid errors.

* Thu Sep 28 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-2mdk
- added import of mandrake's gpg keys ib %%post

* Wed Sep 13 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2

* Wed Sep 13 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-3mdk
- BM

* Tue Apr 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.1-2mdk
- Upgrade groups.

* Thu Jan  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.1-1mdk
- First spec file for Mandrake distribution, mainly based on debian version.

# end of file
